Package com.datecs.fiscalprinter.SDK.model.UserLayerV2

# Class cmdReceipt.FiscalReceipt.Storno

java.lang.Object
com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice
com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdReceipt
com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdReceipt.FiscalReceipt
com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdReceipt.FiscalReceipt.Storno

Enclosing class:
  cmdReceipt.FiscalReceipt

    public static class cmdReceipt.FiscalReceipt.Storno
    extends cmdReceipt.FiscalReceipt

Class handles a storno fiscal receipt

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `cmdReceipt.FiscalReceipt.Storno.StornoType` |

  ## Nested classes/interfaces inherited from class com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdReceipt.FiscalReceipt

  `cmdReceipt.FiscalReceipt.InvoiceClientInfo, cmdReceipt.FiscalReceipt.Storno`

  ## Nested classes/interfaces inherited from class com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdReceipt

  `cmdReceipt.AlignmentType, cmdReceipt.BarcdeType, cmdReceipt.FiscalReceipt, cmdReceipt.FiscalSale, cmdReceipt.FiscalTransaction, cmdReceipt.NonFiscalReceipt, cmdReceipt.PaymentType, cmdReceipt.SeparatingLine`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Storno()` |
  `Storno​(java.lang.String opCode, java.lang.String opPwd, java.lang.String tillNmb, cmdReceipt.FiscalReceipt.Storno.StornoType reasonStorno, java.lang.String docNumber, java.lang.String dateTime, java.lang.String fmNumber)` |
  `Storno​(java.lang.String opCode, java.lang.String opPwd, java.lang.String tillNmb, cmdReceipt.FiscalReceipt.Storno.StornoType stornoType, java.lang.String docNumber, java.lang.String dateTime, java.lang.String fmNumber, boolean invoice, java.lang.String toInvoice, java.lang.String reason, java.lang.String nSale)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `open()` |
  `void` | `open​(java.lang.String opCode, java.lang.String opPwd, java.lang.String tillNmb, cmdReceipt.FiscalReceipt.Storno.StornoType reasonStorno, java.lang.String docNumber, java.lang.String dateTime, java.lang.String numberOfFM)` | Opening of storno documents Mandatory parameters:
  `void` | `open​(java.lang.String opCode, java.lang.String opPwd, java.lang.String tillNmb, cmdReceipt.FiscalReceipt.Storno.StornoType reasonStorno, java.lang.String docNumber, java.lang.String dateTime, java.lang.String numberOfFM, boolean invoice, java.lang.String toInvoice, java.lang.String reason, java.lang.String nSale)` | Opening of storno documents All parameters:
  `java.util.List<java.lang.Boolean>` | `validateOpenInvoice​(java.lang.String opCode, java.lang.String opPwd, java.lang.String tillNmb, cmdReceipt.FiscalReceipt.Storno.StornoType stornoType, java.lang.String docNumber, java.lang.String docDateTime, java.lang.String fiscalMemoryID, java.lang.String toInvoice, java.lang.String docUNP, java.lang.String stornoReason, java.lang.String nSale)` | Validation of parameters Validity of the parameters required to execute the open methods Returns boolean list of true value if the parameter is correct and false if not
  `java.util.List<java.lang.Boolean>` | `validateOpenStorno​(java.lang.String opCode, java.lang.String opPwd, java.lang.String tillNmb, cmdReceipt.FiscalReceipt.Storno.StornoType stornoType, java.lang.String docNumber, java.lang.String docDateTime, java.lang.String fiscalMemoryID, java.lang.String nSale)` | Validation of parameters

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdReceipt.FiscalReceipt

  `cancel, closeFiscalReceipt, getAllreceipt, getFiscReceipt, getOpCode, getOpPwd, getReceiptNumber, getTillNmb, isOpen, openFiscalReceipt, openFiscalReceipt, openFiscalReceipt, openInvoice, openInvoice, printFreeText, printSeparatingLine, setOpCode, setOpPwd, setTillNmb`

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdReceipt

  `cashInCashOut, drawerKickOut, isStornoReceiptOpen, paperCutting, paperFeed, printBarcode, printFreeText`

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice

  `checkErrorCode, close, getConnectedECRV1, getConnectedModelV2, getConnectedPrinterV1, getCountryCode, getMaxDepartments, getMaxStockGroup, isCheckLastError, isConnectedDeviceV2, isConnectedECR, isConnectedPrinter, isEditItemPrice, isEditItemQTY, isFontSupported, isPaperCuttingDevice, setCheckLastError, setConnectedModel, setConnectedModel, setConnectedModel, setCountryCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Storno

    public Storno()

  - ### Storno

    public Storno​(java.lang.String opCode, java.lang.String opPwd, java.lang.String tillNmb, cmdReceipt.FiscalReceipt.Storno.StornoType stornoType, java.lang.String docNumber, java.lang.String dateTime, java.lang.String fmNumber, boolean invoice, java.lang.String toInvoice, java.lang.String reason, java.lang.String nSale)

  - ### Storno

    public Storno​(java.lang.String opCode, java.lang.String opPwd, java.lang.String tillNmb, cmdReceipt.FiscalReceipt.Storno.StornoType reasonStorno, java.lang.String docNumber, java.lang.String dateTime, java.lang.String fmNumber)

- ## Method Details

  - ### open

    public void open() throws java.lang.Exception
    Throws:
      `java.lang.Exception`

  - ### open

    public void open​(java.lang.String opCode, java.lang.String opPwd, java.lang.String tillNmb, cmdReceipt.FiscalReceipt.Storno.StornoType reasonStorno, java.lang.String docNumber, java.lang.String dateTime, java.lang.String numberOfFM) throws java.lang.Exception
    Opening of storno documents Mandatory parameters:
    Parameters:
      `opCode` - - Operator number from 1...30;
      `opPwd` - - Operator password, ascii string of digits. Lenght from 1...8;
      `tillNmb` - - Number of point of sale from 1...99999;
      `reasonStorno` - - Reason for storno.
      `docNumber` - - Number of the original document ( global 1...9999999 );
      `dateTime` - - Fiscal memoty number of the device the issued the original document;
      `numberOfFM` - - Date and time of the original document( format "DD-MM-YY hh:mm:ss DST" );
    Throws:
      `java.lang.Exception`

  - ### open

    public void open​(java.lang.String opCode, java.lang.String opPwd, java.lang.String tillNmb, cmdReceipt.FiscalReceipt.Storno.StornoType reasonStorno, java.lang.String docNumber, java.lang.String dateTime, java.lang.String numberOfFM, boolean invoice, java.lang.String toInvoice, java.lang.String reason, java.lang.String nSale) throws java.lang.Exception
    Opening of storno documents All parameters:
    Parameters:
      `opCode` - - Operator number from 1...30;
      `opPwd` - - Operator password, ascii string of digits. Lenght from 1...8;
      `tillNmb` - - Number of point of sale from 1...99999;
      `reasonStorno` - - Reason for storno.
      `docNumber` - - Number of the original document ( global 1...9999999 );
      `dateTime` - - Fiscal memoty number of the device the issued the original document;
      `numberOfFM` - - Date and time of the original document( format "DD-MM-YY hh:mm:ss DST" );
      `invoice` - - If true it opens an invoice storno/refund receipt.
      `toInvoice` - If Invoice is true - Number of the invoice that this receipt is referred to; If Invoice is false this parameter has to be blank too;
      `reason` - If Invoice is true - Reason for invoice storno/refund. If Invoice is false this parameter has to be blank too;
      `nSale` - - Unique sale number (21 chars "LLDDDDDD-CCCC-DDDDDDD", L[A-Za-z], C[0-9A-Za-z], D[0-9] ) The parameter is not required only if the original document is printed by the cashier and not by the PC program.
    Throws:
      `java.lang.Exception`

  - ### validateOpenStorno

    public java.util.List<java.lang.Boolean> validateOpenStorno​(java.lang.String opCode, java.lang.String opPwd, java.lang.String tillNmb, cmdReceipt.FiscalReceipt.Storno.StornoType stornoType, java.lang.String docNumber, java.lang.String docDateTime, java.lang.String fiscalMemoryID, java.lang.String nSale)
    Validation of parameters
    Parameters:
      `opCode` -
      `opPwd` -
      `tillNmb` -
      `stornoType` -
      `docNumber` -
      `docDateTime` -
      `fiscalMemoryID` -
      `nSale` -
    Returns:
      All Wrong parameter in Boolean array (false-wrong)

      Attention! to optional parameters that are the empty string, method returns true.

  - ### validateOpenInvoice

    public java.util.List<java.lang.Boolean> validateOpenInvoice​(java.lang.String opCode, java.lang.String opPwd, java.lang.String tillNmb, cmdReceipt.FiscalReceipt.Storno.StornoType stornoType, java.lang.String docNumber, java.lang.String docDateTime, java.lang.String fiscalMemoryID, java.lang.String toInvoice, java.lang.String docUNP, java.lang.String stornoReason, java.lang.String nSale)
    Validation of parameters Validity of the parameters required to execute the open methods Returns boolean list of true value if the parameter is correct and false if not
    Parameters:
      `opCode` -
      `opPwd` -
      `tillNmb` -
      `stornoType` -
      `docNumber` -
      `docDateTime` -
      `fiscalMemoryID` -
      `toInvoice` -
      `docUNP` -
      `stornoReason` -
      `nSale` -
    Returns:
      All Wrong parameter in Boolean array (false-wrong)

      Attention! to optional parameters that are the empty string, method returns true.